package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.helper.Caption;

@Entity //@Audited
@Table(name = "Edukasi_T")
public class Edukasi extends MedicalRecordTransaction {
	
	@Caption(value="TanggalInput")
	@Column(name = "TanggalInput", nullable = false)
	private Date tanggalInput;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPetugas")
	@Caption(value="Dokter Petugas")
	private Pegawai petugas;
	
	@Column(name = "ObjectPetugas", insertable=false,updatable=false)
	private Integer petugasId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value=" Ruangan")
	private Ruangan ruangan;

	@Column(name = "ObjectRuanganFk", insertable=false,updatable=false)
	private Integer ruanganId;

	@Caption(value="Edukasi")
	@Column(name = "Edukasi", nullable = false)
	private String edukasi;

	public Date getTanggalInput() {
		return tanggalInput;
	}

	public void setTanggalInput(Date tanggalInput) {
		this.tanggalInput = tanggalInput;
	}

	public Pegawai getPetugas() {
		return petugas;
	}

	public void setPetugas(Pegawai petugas) {
		this.petugas = petugas;
	}

	public Integer getPetugasId() {
		return petugasId;
	}

	public void setPetugasId(Integer petugasId) {
		this.petugasId = petugasId;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public String getEdukasi() {
		return edukasi;
	}

	public void setEdukasi(String edukasi) {
		this.edukasi = edukasi;
	}

}
